OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.DrawRangeElements

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTDrawRangeElements :: MonadIO m => m Bool
- gl_EXT_draw_range_elements :: Bool
- pattern GL_MAX_ELEMENTS_INDICES_EXT :: GLenum
- pattern GL_MAX_ELEMENTS_VERTICES_EXT :: GLenum
- glDrawRangeElementsEXT :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> m ()

# Extension Support

glGetEXTDrawRangeElements :: MonadIO m => m Bool Source #

Is the EXT_draw_range_elements extension supported?

gl_EXT_draw_range_elements :: Bool Source #

Is the EXT_draw_range_elements extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTDrawRangeElements` in those cases instead.

# Enums

pattern GL_MAX_ELEMENTS_INDICES_EXT :: GLenum Source #

pattern GL_MAX_ELEMENTS_VERTICES_EXT :: GLenum Source #

# Functions

glDrawRangeElementsEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `start`.
-> GLuint | `end`.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> m () |

This command is an alias for `glDrawRangeElements`.